Package org.springframework.web.server

# Interface WebFilter

All Known Implementing Classes:
  `CorsWebFilter`, `HiddenHttpMethodFilter`, `PreFlightRequestWebFilter`, `ServerHttpObservationFilter`, `ServerWebExchangeContextFilter`, `UrlHandlerFilter`

public interface WebFilter
Contract for interception-style, chained processing of Web requests that may be used to implement cross-cutting, application-agnostic requirements such as security, timeouts, and others.

Consider using `org.springframework.web.server.CoWebFilter` with Kotlin Coroutines.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(ServerWebExchange exchange, WebFilterChain chain)`
Process the Web request and (optionally) delegate to the next `WebFilter` through the given `WebFilterChain`.

## Method Details

### filter

reactor.core.publisher.Mono<Void> filter(ServerWebExchange exchange, WebFilterChain chain)
Process the Web request and (optionally) delegate to the next `WebFilter` through the given `WebFilterChain`.

Parameters:
  `exchange` - the current server exchange
  `chain` - provides a way to delegate to the next filter
Returns:
  `Mono<Void>` to indicate when request processing is complete